Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# resiter.h File Reference

Declares templates for adapting existing classes to be iteratable random-access containers. More...

`#include "defs.h"`
`#include <iterator>`

Include dependency graph for resiter.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Detailed Description

Declares templates for adapting existing classes to be iteratable random-access containers.

The file name seems to tie it to the mysqlpp::Result class, which is so adapted, but these templates are also used to adapt the mysqlpp::Fields and mysqlpp::Row classes.